List biomarkers¶
GET https://api.moalmanac.org/biomarkers
Retrieves Biomarkers from the database. Filters by biomarker_id, biomarker_name, biomarker_type, and gene. biomarker_name is matched case-insensitively.
Parameters¶
| Name | Type | Description | Example |
|---|---|---|---|
biomarker_id |
string | Return only the biomarker with this id. | |
biomarker_name |
string | Return biomarker records with this name, ignoring case. | BRAF p.V600E |
biomarker |
string (repeatable) | Biomarker name, matched exactly. Repeatable; matches any of the given values (OR). | BRAF p.V600E |
biomarker_type |
string (repeatable) | Biomarker type. Repeatable; matches any of the given values (OR). | Somatic variant |
gene |
string (repeatable) | Gene symbol, matched exactly. Repeatable; matches any of the given values (OR). | BRAF |
Example request¶
curl "https://api.moalmanac.org/biomarkers?biomarker_name=BRAF+p.V600E"
Response¶
Returns the standard response envelope, with data set to a list of Biomarker records.
Example response
{
"meta": {
"data_length": 1,
"message": "Biomarkers retrieved successfully",
"request_url": "https://api.moalmanac.org/biomarkers",
"status": "success",
"status_code": 200,
"timestamp_elapsed": 0.012345,
"timestamp_received": "2026-10-16T14:03:12.123456Z",
"timestamp_returned": "2026-10-16T14:03:12.135801Z",
"trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"service": {
"github": "https://github.com/vanallenlab/moalmanac-db",
"name": "Molecular Oncology Almanac",
"license": "GPL-2.0",
"release": "draft",
"url": "https://moalmanac.org",
"last_updated": "2026-10-08"
},
"data": [
{
"id": "bmkr:16",
"type": "CategoricalVariant",
"name": "BRAF p.V600E",
"constraints": [
{
"type": "DefiningAlleleConstraint",
"allele": {
"id": "ga4gh:VA.j4XnsLZcdzDIYa5pvvXM7t1wn9OITr0L",
"type": "Allele",
"name": "NP_004324.2:p.Val600Glu",
"aliases": [
"NP_004324.2:p.V600E",
"BRAF p.V600E"
],
"description": "VRS variation of NP_004324.2:p.Val600Glu",
"digest": "j4XnsLZcdzDIYa5pvvXM7t1wn9OITr0L",
"expressions": [
{
"syntax": "hgvs.p",
"value": "NP_004324.2:p.Val600Glu",
"extensions": [
{
"name": "hgvs.p_short",
"value": "p.V600E"
}
]
}
],
"location": {
"id": "ga4gh:SL.t-3DrWALhgLdXHsupI-e-M00aL3HgK3y",
"type": "SequenceLocation",
"name": null,
"aliases": [],
"description": "Amino acid position 600 of the Refseq protein NP_004324.2, which is the protein product of the MANE Select coding transcript for BRAF (refseq:NM_004333.6).",
"digest": "t-3DrWALhgLdXHsupI-e-M00aL3HgK3y",
"sequenceReference": {
"id": "ga4gh:SQ.cQvw4UsHHRRlogxbWCB8W-mKD4AraM9y",
"type": "SequenceReference",
"name": "NP_004324.2",
"aliases": [
"ensembl:ENSP00000288602.6",
"ga4gh:SQ.cQvw4UsHHRRlogxbWCB8W-mKD4AraM9y",
"refseq:NP_004324.2"
],
"description": "The protein product of the MANE Select coding transcript for BRAF (refseq:NM_004333.6), corresponding to the Refseq protein accession NP_004324.2.",
"moleculeType": "protein",
"refgetAccession": "SQ.cQvw4UsHHRRlogxbWCB8W-mKD4AraM9y",
"residueAlphabet": "aa"
},
"start": 599,
"end": 600,
"sequence": "V"
},
"state": {
"type": "LiteralSequenceExpression",
"sequence": "E"
}
},
"relations": []
},
{
"type": "FeatureContextConstraint",
"featureContext": {
"id": "gene:hgnc:1097",
"conceptType": "Gene",
"name": "BRAF",
"primaryCoding": {
"id": "coding:hgnc:1097",
"code": "HGNC:1097",
"system": "https://genenames.org",
"iris": [
"https://www.genenames.org/data/gene-symbol-report/#!/hgnc_id/HGNC:1097"
]
},
"mappings": [
{
"relation": "exactMatch",
"coding": {
"id": "coding:ensembl:ensg00000157764",
"code": "ENSG00000157764",
"system": "https://www.ensembl.org",
"iris": [
"https://www.ensembl.org/id/ENSG00000157764"
]
}
},
{
"relation": "exactMatch",
"coding": {
"id": "coding:ncbi:673",
"code": "673",
"system": "https://www.ncbi.nlm.nih.gov/gene",
"iris": [
"https://www.ncbi.nlm.nih.gov/gene/673"
]
}
},
{
"relation": "relatedMatch",
"coding": {
"id": "coding:refseq:NM_004333.6",
"code": "NM_004333.6",
"system": "https://www.ncbi.nlm.nih.gov/nuccore",
"iris": [
"https://www.ncbi.nlm.nih.gov/nuccore/NM_004333.6"
]
}
}
]
}
}
],
"extensions": [
{
"name": "biomarker_type",
"value": "Somatic variant"
},
{
"name": "chromosome",
"value": "7"
},
{
"name": "start_position",
"value": 140453136
},
{
"name": "end_position",
"value": 140453136
},
{
"name": "reference_allele",
"value": "A"
},
{
"name": "alternate_allele",
"value": "T"
},
{
"name": "cdna_change",
"value": "c.1799T>A"
},
{
"name": "protein_change",
"value": "p.V600E"
},
{
"name": "variant_annotation",
"value": "Missense"
},
{
"name": "exon",
"value": 15
},
{
"name": "rsid",
"value": "rs113488022"
},
{
"name": "hgvsg",
"value": "7:g.140453136A>T"
},
{
"name": "hgvsc",
"value": "ENST00000288602.6:c.1799T>A"
}
]
}
]
}